> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all webhooks

> Returns a paginated list of webhook subscriptions.




## OpenAPI

````yaml openAPI/webhooks.yaml get /v2/webhooks
openapi: 3.0.0
info:
  title: Webhook Management API
  version: 2.0.0
  description: API for managing webhook subscriptions.
servers:
  - url: https://api-sandbox.argyle.com
    description: Sandbox
  - url: https://api.argyle.com
    description: Production
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    get:
      tags:
        - Webhook management
      summary: List all webhooks
      description: Returns a paginated list of webhook subscriptions.
      operationId: listWebhooks
      parameters:
        - $ref: '#/components/parameters/FromCreatedAt'
        - $ref: '#/components/parameters/ToCreatedAt'
        - $ref: '#/components/parameters/Ordering'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Cursor'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookListResponse'
              example:
                next: >-
                  https://api-sandbox.argyle.com/v2/webhooks?cursor=ZXhhbXBsZV9jdXJzb3I
                previous: null
                results:
                  - id: 205c027e-8a4d-4248-b395-d4f345dfd49f
                    name: name-for-the-webhook-subscription
                    events:
                      - verifications.updated
                    config: {}
                    secret: optional-secret
                    url: https://your-webhook-backend.com
                    created_at: '2026-07-29T19:33:16.120Z'
                    updated_at: '2026-07-29T19:33:16.123Z'
                    last_sent_at: null
                  - id: b91661b8-2633-49f5-98e5-01d82f04aa30
                    name: different-name-for-this-webhook-subscription
                    events:
                      - identities.added
                      - identities.updated
                    config: {}
                    secret: optional-secret
                    url: https://your-webhook-backend.com
                    created_at: '2026-07-29T19:33:16.120Z'
                    updated_at: '2026-07-29T19:33:16.123Z'
                    last_sent_at: null
components:
  parameters:
    FromCreatedAt:
      in: query
      name: from_created_at
      description: Filter for webhooks created on or after this timestamp.
      schema:
        type: string
        format: date-time
    ToCreatedAt:
      in: query
      name: to_created_at
      description: Filter for webhooks created on or before this timestamp.
      schema:
        type: string
        format: date-time
    Ordering:
      in: query
      name: ordering
      description: >-
        Use `id` to order results by webhook ID. Use `created_at` to order
        results by when the webhooks were created.
      schema:
        type: string
        enum:
          - id
          - created_at
    Limit:
      in: query
      name: limit
      description: >-
        Number of webhook subscriptions returned [per
        page](/api-guide/overview#pagination). Default: 10. Maximum: 200.
      schema:
        type: integer
        default: 10
        maximum: 200
    Cursor:
      in: query
      name: cursor
      description: >-
        The URL returned in `next` or `previous` used to retrieve another
        [page](/api-guide/overview#pagination) of results.
      schema:
        type: string
  schemas:
    WebhookListResponse:
      type: object
      properties:
        next:
          type: string
          format: uri
          nullable: true
          description: URL for the next page of results, if available.
        previous:
          type: string
          format: uri
          nullable: true
          description: URL for the previous page of results, if available.
        results:
          type: array
          items:
            $ref: '#/components/schemas/Webhook'
    Webhook:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID of the webhook subscription.
        name:
          type: string
          description: Name of the webhook subscription.
        events:
          type: array
          description: Webhook events included in the webhook subscription.
          items:
            type: string
        config:
          type: object
          description: Event-specific configuration for the webhook subscription.
          additionalProperties: true
        secret:
          type: string
          nullable: true
          description: Secret used to verify webhooks, if provided.
        url:
          type: string
          format: uri
          description: URL where webhook deliveries are sent.
        created_at:
          type: string
          format: date-time
          description: Time when the webhook subscription was created.
        updated_at:
          type: string
          format: date-time
          description: Time when the webhook subscription was last updated.
        last_sent_at:
          type: string
          format: date-time
          nullable: true
          description: >-
            Last time Argyle sent the webhook. A null value means the webhook
            has not been sent.
      example:
        id: 205c027e-8a4d-4248-b395-d4f345dfd49f
        name: name-for-the-webhook-subscription
        events:
          - verifications.updated
        config: {}
        secret: optional-secret
        url: https://your-webhook-backend.com
        created_at: '2026-07-29T19:33:16.120Z'
        updated_at: '2026-07-29T19:33:16.123Z'
        last_sent_at: null
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````